package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class GuestOsCredentialsModel {

    private String credsId;
    private String credsType;
    private List<GuestOsCredentialsPerMachineModel> credentialsPerMachine;

    public String getCredsId() {
        return credsId;
    }

    public void setCredsId(String credsId) {
        this.credsId = credsId;
    }

    public String getCredsType() {
        return credsType;
    }

    public void setCredsType(String credsType) {
        this.credsType = credsType;
    }

    public List<GuestOsCredentialsPerMachineModel> getCredentialsPerMachine() {
        return credentialsPerMachine;
    }

    public void setCredentialsPerMachine(List<GuestOsCredentialsPerMachineModel> credentialsPerMachine) {
        this.credentialsPerMachine = credentialsPerMachine;
    }

    @Override public String toString() {
        return "GuestOsCredentialsModel{" + "credsId='" + credsId + '\'' + ", credsType='" + credsType + '\''
            + ", credentialsPerMachine=" + credentialsPerMachine + '}';
    }
}
